// Package docs GENERATED BY SWAG; DO NOT EDIT
// This file was generated by swaggo/swag
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/v1.0/announcement": {
            "get": {
                "description": "信息公告",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "announcement",
                    "v1.0"
                ],
                "summary": "信息公告",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "vin",
                        "name": "vin_rule",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "品牌",
                        "name": "brand_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "车辆型号",
                        "name": "model_no",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "每页数量，默认10",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetAnnouncementResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/announcement/edit": {
            "get": {
                "description": "编辑",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "announcement",
                    "v1.0"
                ],
                "summary": "编辑",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "vehicle_batch",
                        "name": "vehicle_batch",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "model_no",
                        "name": "model_no",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetEditResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/api": {
            "get": {
                "description": "API管理",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "api_management",
                    "v1.0"
                ],
                "summary": "API管理",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "API编号",
                        "name": "api_no",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "描述",
                        "name": "desc",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "每页数量，默认10",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetAPIListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/api/check": {
            "get": {
                "description": "查看API",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "api_management",
                    "v1.0"
                ],
                "summary": "查看API",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "API id",
                        "name": "api_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetCheckAPIResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/api/delete/key/{key}": {
            "delete": {
                "description": "删除key",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "api_management",
                    "v1.0"
                ],
                "summary": "删除key",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "密钥",
                        "name": "key",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DeleteKeyResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/api/delete/{api_id}": {
            "delete": {
                "description": "删除API",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "api_management",
                    "v1.0"
                ],
                "summary": "删除API",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "API id",
                        "name": "api_id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetDeleteAPIResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/api/key": {
            "get": {
                "description": "密钥管理",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "api_management",
                    "v1.0"
                ],
                "summary": "密钥管理",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "密钥",
                        "name": "key",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "描述",
                        "name": "desc",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "每页数量，默认10",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetKeyListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/api/key/create": {
            "post": {
                "description": "新增密钥",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "api_management",
                    "v1.0"
                ],
                "summary": "新增密钥",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.CreateKeyBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CreateKeyResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/api/search/all_api": {
            "get": {
                "description": "API列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "api_management",
                    "v1.0"
                ],
                "summary": "API列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "API",
                        "name": "all_api",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AllAPIResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/api/search/all_key": {
            "get": {
                "description": "密钥列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "api_management",
                    "v1.0"
                ],
                "summary": "密钥列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "密钥",
                        "name": "all_key",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AllKeyResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/api/update_api": {
            "put": {
                "description": "更新API信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "api_management",
                    "v1.0"
                ],
                "summary": "更新API信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.UpdateAPIBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UpdateAPIResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/api/use_key": {
            "get": {
                "description": "API查询",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "api_management",
                    "v1.0"
                ],
                "summary": "API查询",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "API id",
                        "name": "api_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UseAPIResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/brand": {
            "get": {
                "description": "品牌列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "brand",
                    "v1.0"
                ],
                "summary": "品牌列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "品牌名称",
                        "name": "brand_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "品牌id",
                        "name": "brand_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "首字母",
                        "name": "initial",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "-1:无图片， 1:有图片",
                        "name": "has_img",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "-1:下线 1:上线",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "每页数量，默认10",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetBrandListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/brand/": {
            "put": {
                "description": "更新车辆品牌信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "brand",
                    "v1.0"
                ],
                "summary": "更新车辆品牌信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.UpdateBrandBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SearchResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/brand/maker": {
            "get": {
                "description": "厂商列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "brand",
                    "v1.0"
                ],
                "summary": "厂商列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "品牌id",
                        "name": "brand_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetMakerResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "更新厂商信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "brand",
                    "v1.0"
                ],
                "summary": "更新厂商信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.UpdateMakerBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SearchResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/brand/search": {
            "get": {
                "description": "模糊搜索",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "brand",
                    "v1.0"
                ],
                "summary": "模糊搜索",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "1:品牌 2:厂商 3:车系 4:车型",
                        "name": "type",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "关键字",
                        "name": "search",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "brand_id",
                        "name": "brand_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "maker_id",
                        "name": "maker_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "series_id",
                        "name": "series_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SearchResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/data_import/create_template": {
            "post": {
                "description": "新建模板",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "data_import",
                    "v1.0"
                ],
                "summary": "新建模板",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.CreateTemplateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CreateTemplateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/data_import/data_import": {
            "post": {
                "description": "数据导入",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "data_import",
                    "v1.0"
                ],
                "summary": "数据导入",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.DataImportBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DataImportResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/data_import/data_import_template": {
            "get": {
                "description": "数据导入模板",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "data_import",
                    "v1.0"
                ],
                "summary": "数据导入模板",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "模板名",
                        "name": "template_name",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "每页数量，默认10",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DataImportTemplateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/data_import/delete_template/{id}": {
            "delete": {
                "description": "删除模板",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "data_import",
                    "v1.0"
                ],
                "summary": "删除模板",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.DeleteTemplateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/data_import/edit_template": {
            "put": {
                "description": "修改模板",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "data_import",
                    "v1.0"
                ],
                "summary": "修改模板",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.EditTemplateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.EditTemplateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/data_management": {
            "get": {
                "description": "数据管理",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "data_management",
                    "v1.0"
                ],
                "summary": "数据管理",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "表名",
                        "name": "table_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "描述",
                        "name": "desc",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "所属层",
                        "name": "level",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "每页数量，默认10",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetDataListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/data_management/relation": {
            "get": {
                "description": "任务关系",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "data_management",
                    "v1.0"
                ],
                "summary": "任务关系",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "数据源",
                        "name": "source_code",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetRelationResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/data_management/relation/": {
            "put": {
                "description": "任务开关",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "data_management",
                    "v1.0"
                ],
                "summary": "任务开关",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.GetSwitchBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetSwitchResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/data_management/search": {
            "get": {
                "description": "模糊搜索",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "data_management",
                    "v1.0"
                ],
                "summary": "模糊搜索",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "表名",
                        "name": "table_name",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SearchDataResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/data_management/search_level": {
            "get": {
                "description": "所属层搜索",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "data_management",
                    "v1.0"
                ],
                "summary": "所属层搜索",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "所属层",
                        "name": "level",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SearchLevelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/data_management/table_struct": {
            "get": {
                "description": "查看表结构",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "data_management",
                    "v1.0"
                ],
                "summary": "查看表结构",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "表名",
                        "name": "table_name",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TableStructResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/field": {
            "get": {
                "description": "字段管理",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "field_management",
                    "v1.0"
                ],
                "summary": "字段管理",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "字段名",
                        "name": "field",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "描述",
                        "name": "desc",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "每页数量，默认10",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetFieldListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/field/excel": {
            "get": {
                "description": "导出EXCEL",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "field_management",
                    "v1.0"
                ],
                "summary": "导出EXCEL",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ExcelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/login": {
            "post": {
                "description": "登陆",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "login",
                    "v1.0"
                ],
                "summary": "登陆",
                "parameters": [
                    {
                        "description": "body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.LoginBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.LoginResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/maintainace/c2/list": {
            "get": {
                "description": "C2List",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "maintainace",
                    "v1.0"
                ],
                "summary": "C2List",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "style_id",
                        "name": "style_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetMaintainaceManualInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/maintainace/info": {
            "get": {
                "description": "维保手册详情",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "maintainace",
                    "v1.0"
                ],
                "summary": "维保手册详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "style_id",
                        "name": "style_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetMaintainaceManualInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/maintainace/item_list": {
            "get": {
                "description": "维保项目",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "maintainace",
                    "v1.0"
                ],
                "summary": "维保项目",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "item_type",
                        "name": "item_type",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "style_id",
                        "name": "style_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetItemListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/maintainace/manual": {
            "get": {
                "description": "维保手册",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "maintainace",
                    "v1.0"
                ],
                "summary": "维保手册",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "style_id",
                        "name": "style_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetMaintainaceManualResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "更新维保手册",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "maintainace",
                    "v1.0"
                ],
                "summary": "更新维保手册",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.UpdateMaintainManualBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UpdateMaintainManualResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/maintainace/manual/{id}": {
            "delete": {
                "description": "删除维保信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "maintainace",
                    "v1.0"
                ],
                "summary": "删除维保信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "style:id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetStyleInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/maintainace/style_item": {
            "get": {
                "description": "配件列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "maintainace",
                    "v1.0"
                ],
                "summary": "配件列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "style_id",
                        "name": "style_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetMaintainaceManualInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "更新配件信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "maintainace",
                    "v1.0"
                ],
                "summary": "更新配件信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.UpdateStyleItemBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UpdateMaintainManualResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/maintainace/style_item/{id}": {
            "delete": {
                "description": "删除配件信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "maintainace",
                    "v1.0"
                ],
                "summary": "删除配件信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "style_item:id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetStyleInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/manual_task": {
            "get": {
                "description": "手动任务",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "manualTask",
                    "v1.0"
                ],
                "summary": "手动任务",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "源表",
                        "name": "source",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "任务",
                        "name": "task_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "手动任务名",
                        "name": "manual_task_name",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "时间1",
                        "name": "time1",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "时间2",
                        "name": "time2",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "每页数量，默认10",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetManualTaskResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/manual_task/create": {
            "post": {
                "description": "创建手动任务",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "manualTask",
                    "v1.0"
                ],
                "summary": "创建手动任务",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.CreateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CreateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/manual_task/create/upload": {
            "post": {
                "description": "上传文件创建",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "manualTask",
                    "v1.0"
                ],
                "summary": "上传文件创建",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "file",
                        "description": "上传文件",
                        "name": "file",
                        "in": "formData",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "手动任务",
                        "name": "task_name",
                        "in": "formData",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/manual_task/source": {
            "get": {
                "description": "源表搜索",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "manualTask",
                    "v1.0"
                ],
                "summary": "源表搜索",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "源表",
                        "name": "source_name",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SourceResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/manual_task/task": {
            "get": {
                "description": "任务列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "manualTask",
                    "v1.0"
                ],
                "summary": "任务列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "源表名",
                        "name": "source_request",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TaskResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/series/": {
            "get": {
                "description": "车系列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "series",
                    "v1.0"
                ],
                "summary": "车系列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "品牌名称",
                        "name": "brand_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "品牌id",
                        "name": "brand_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "车系名称",
                        "name": "series_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "车系id",
                        "name": "series_id",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "-1:无图片， 1:有图片",
                        "name": "has_img",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "-1:下线 1:上线",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "每页数量，默认10",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetSeriesListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "更新车系信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "series",
                    "v1.0"
                ],
                "summary": "更新车系信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.UpdateSeriesBody"
                        }
                    },
                    {
                        "type": "file",
                        "description": "图片",
                        "name": "file",
                        "in": "formData"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SearchResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/style/": {
            "get": {
                "description": "车型列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "style",
                    "v1.0"
                ],
                "summary": "车型列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "品牌名称",
                        "name": "brand_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "车型名称",
                        "name": "style_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "车系名称",
                        "name": "series_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "品牌id",
                        "name": "brand_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "车系id",
                        "name": "series_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "车型id",
                        "name": "style_id",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "-1:无手册， 1:有手册",
                        "name": "has_manual",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "-1:下线 1:上线",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "年款",
                        "name": "model_year",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "厂商",
                        "name": "maker",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "每页数量，默认10",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetStyleListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "更新车型信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "style",
                    "v1.0"
                ],
                "summary": "更新车型信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.UpdateStyleBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SearchResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/style/config": {
            "put": {
                "description": "更新车辆配置信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "style",
                    "v1.0"
                ],
                "summary": "更新车辆配置信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.UpdateStyleConfigBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SearchResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/style/config/{id}": {
            "get": {
                "description": "获取车辆配置信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "style",
                    "v1.0"
                ],
                "summary": "获取车辆配置信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "manual:id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetStyleInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/style/export": {
            "get": {
                "description": "导出车型列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "style",
                    "v1.0"
                ],
                "summary": "导出车型列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "任务名称",
                        "name": "task_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "字段用,分割",
                        "name": "fields",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetStyleListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/style/export_task": {
            "get": {
                "description": "导出车型任务列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "style",
                    "v1.0"
                ],
                "summary": "导出车型任务列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ExportStyleTaskListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/style/export_task/{id}": {
            "delete": {
                "description": "删除导出车型任务",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "style",
                    "v1.0"
                ],
                "summary": "删除导出车型任务",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetStyleInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/style_map_management": {
            "get": {
                "description": "车型映射管理",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "style_map_management",
                    "v1.0"
                ],
                "summary": "车型映射管理",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "映射源",
                        "name": "source",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "映射状态",
                        "name": "state",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "映射源车型id",
                        "name": "third_style_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "车型id",
                        "name": "style_id",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "每页数量，默认10",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.StyleMapResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/style_map_management/": {
            "put": {
                "description": "编辑",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "style_map_management",
                    "v1.0"
                ],
                "summary": "编辑",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.EditMapBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.EditMapResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/style_map_management/all_source": {
            "get": {
                "description": "映射源列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "style_map_management",
                    "v1.0"
                ],
                "summary": "映射源列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "映射源",
                        "name": "all_source",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AllSourceResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/task_management": {
            "get": {
                "description": "任务管理",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "task_management",
                    "v1.0"
                ],
                "summary": "任务管理",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "任务名",
                        "name": "task_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "描述",
                        "name": "desc",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "每页数量，默认10",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetTaskListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/task_management/dependency": {
            "get": {
                "description": "依赖表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "task_management",
                    "v1.0"
                ],
                "summary": "依赖表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "任务id",
                        "name": "task_id",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "源表或依赖表",
                        "name": "type",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetDependencyResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/task_management/relation": {
            "get": {
                "description": "血缘关系",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "task_management",
                    "v1.0"
                ],
                "summary": "血缘关系",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "任务id",
                        "name": "task_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "source code",
                        "name": "source_code",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetDataSourceRelationResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/task_management/search": {
            "get": {
                "description": "模糊搜索",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "task_management",
                    "v1.0"
                ],
                "summary": "模糊搜索",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "任务名",
                        "name": "task_name",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SearchTaskResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/template/detail": {
            "get": {
                "description": "模板详情",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "template_list",
                    "v1.0"
                ],
                "summary": "模板详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "tid",
                        "name": "tid",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TemplateListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "更新维保模板",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "template_list",
                    "v1.0"
                ],
                "summary": "更新维保模板",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.UpdateMaintainManualBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UpdateMaintainManualResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "新增模板",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "template_list",
                    "v1.0"
                ],
                "summary": "新增模板",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.AddTemplateDetailBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TemplateListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/template/detail/choose": {
            "post": {
                "description": "选择维保模板更新到车型维保手册",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "template_list",
                    "v1.0"
                ],
                "summary": "选择维保模板更新到车型维保手册",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChooseTemplateDetailBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UpdateMaintainManualResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/template/detail/list": {
            "get": {
                "description": "模板列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "template_list",
                    "v1.0"
                ],
                "summary": "模板列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "tid",
                        "name": "tid",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "每页数量，默认10",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TemplateListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/template/item_list": {
            "get": {
                "description": "维保项目",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "template_list",
                    "v1.0"
                ],
                "summary": "维保项目",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "item_type",
                        "name": "item_type",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "template_id",
                        "name": "tid",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetItemListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/template/list": {
            "get": {
                "description": "模板名称列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "template_list",
                    "v1.0"
                ],
                "summary": "模板名称列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "名称",
                        "name": "name",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TemplateListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1.0/upload/": {
            "post": {
                "description": "上传图片",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "upload",
                    "v1.0"
                ],
                "summary": "上传图片",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "file",
                        "description": "图片",
                        "name": "file",
                        "in": "formData",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "brand_id/series_id",
                        "name": "id",
                        "in": "formData",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "类型 1:brand 2:series",
                        "name": "type",
                        "in": "formData",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{}",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "base.HTTPError": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "integer",
                    "format": "int",
                    "example": 500
                },
                "message": {
                    "type": "string",
                    "example": "status bad request"
                }
            }
        },
        "v1.APIList": {
            "type": "object",
            "properties": {
                "api_id": {
                    "type": "integer"
                },
                "api_no": {
                    "type": "string"
                },
                "created_at": {
                    "type": "integer"
                },
                "desc": {
                    "type": "string"
                }
            }
        },
        "v1.APIListReply": {
            "type": "object",
            "properties": {
                "current_page": {
                    "type": "integer"
                },
                "first_page": {
                    "type": "integer"
                },
                "host": {
                    "type": "string"
                },
                "last_page": {
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.APIList"
                    }
                },
                "next_page": {
                    "type": "integer"
                },
                "per_page": {
                    "type": "integer"
                },
                "prev_page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.AddTemplateDetailBody": {
            "type": "object",
            "properties": {
                "date_cycle": {
                    "type": "integer"
                },
                "item_id": {
                    "type": "integer"
                },
                "mile_cycle": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "start_date": {
                    "type": "integer"
                },
                "start_mile": {
                    "type": "integer"
                },
                "tid": {
                    "type": "integer"
                }
            }
        },
        "v1.AllAPIReply": {
            "type": "object",
            "properties": {
                "host": {
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "v1.AllAPIResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.AllAPIReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.AllKeyResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.AllSourceResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.AnnouncementList": {
            "type": "object",
            "properties": {
                "brand_name": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "model_no": {
                    "type": "string"
                },
                "vehicle_batch": {
                    "type": "string"
                },
                "vehicle_type_detail": {
                    "type": "string"
                },
                "vin_rules": {
                    "type": "string"
                }
            }
        },
        "v1.AnnouncementReply": {
            "type": "object",
            "properties": {
                "current_page": {
                    "type": "integer"
                },
                "first_page": {
                    "type": "integer"
                },
                "last_page": {
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.AnnouncementList"
                    }
                },
                "next_page": {
                    "type": "integer"
                },
                "per_page": {
                    "type": "integer"
                },
                "prev_page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.BrandList": {
            "type": "object",
            "properties": {
                "brand_id": {
                    "type": "string"
                },
                "brand_name": {
                    "type": "string"
                },
                "has_img": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "image": {
                    "type": "string"
                },
                "initial": {
                    "type": "string"
                },
                "old_brand_name": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                },
                "weight": {
                    "type": "integer"
                }
            }
        },
        "v1.BrandListReply": {
            "type": "object",
            "properties": {
                "current_page": {
                    "type": "integer"
                },
                "first_page": {
                    "type": "integer"
                },
                "last_page": {
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.BrandList"
                    }
                },
                "next_page": {
                    "type": "integer"
                },
                "per_page": {
                    "type": "integer"
                },
                "prev_page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.CheckAPI": {
            "type": "object",
            "properties": {
                "desc": {
                    "type": "string"
                },
                "key": {
                    "type": "string"
                },
                "value": {
                    "type": "string"
                }
            }
        },
        "v1.CheckAPIReply": {
            "type": "object",
            "properties": {
                "api_no": {
                    "type": "string"
                },
                "desc": {
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.RelatedTables"
                    }
                },
                "request": {
                    "type": "string"
                },
                "response": {
                    "type": "string"
                }
            }
        },
        "v1.ChooseTemplateDetailBody": {
            "type": "object",
            "properties": {
                "style_id": {
                    "type": "string"
                },
                "tid": {
                    "type": "integer"
                }
            }
        },
        "v1.CreateBody": {
            "type": "object",
            "properties": {
                "source": {
                    "type": "string"
                },
                "sql": {
                    "type": "string"
                },
                "task_ids": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "task_name": {
                    "type": "string"
                },
                "type": {
                    "type": "integer"
                }
            }
        },
        "v1.CreateKeyBody": {
            "type": "object",
            "properties": {
                "desc": {
                    "type": "string"
                }
            }
        },
        "v1.CreateKeyResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CreateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CreateTemplateBody": {
            "type": "object",
            "properties": {
                "request": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "task_name": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "template_name": {
                    "type": "string"
                }
            }
        },
        "v1.CreateTemplateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DataImport": {
            "type": "object",
            "properties": {
                "request": {
                    "type": "string"
                },
                "value": {
                    "type": "string"
                }
            }
        },
        "v1.DataImportBody": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "request_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.DataImport"
                    }
                }
            }
        },
        "v1.DataImportResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DataImportTemplateList": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "request": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.RequestList"
                    }
                },
                "task_desc": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "task_name": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "template_name": {
                    "type": "string"
                }
            }
        },
        "v1.DataImportTemplateReply": {
            "type": "object",
            "properties": {
                "current_page": {
                    "type": "integer"
                },
                "first_page": {
                    "type": "integer"
                },
                "last_page": {
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.DataImportTemplateList"
                    }
                },
                "next_page": {
                    "type": "integer"
                },
                "per_page": {
                    "type": "integer"
                },
                "prev_page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.DataImportTemplateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.DataImportTemplateReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DataList": {
            "type": "object",
            "properties": {
                "db": {
                    "type": "string"
                },
                "desc": {
                    "type": "string"
                },
                "level": {
                    "type": "string"
                },
                "source_code": {
                    "type": "string"
                },
                "table_id": {
                    "type": "integer"
                },
                "table_name": {
                    "type": "string"
                }
            }
        },
        "v1.DataListReply": {
            "type": "object",
            "properties": {
                "current_page": {
                    "type": "integer"
                },
                "first_page": {
                    "type": "integer"
                },
                "last_page": {
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.DataList"
                    }
                },
                "next_page": {
                    "type": "integer"
                },
                "per_page": {
                    "type": "integer"
                },
                "prev_page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.DataSourceRelationReply": {
            "type": "object",
            "properties": {
                "node": {
                    "$ref": "#/definitions/v1.DataSourceRelationReply_Node"
                }
            }
        },
        "v1.DataSourceRelationReply_Node": {
            "type": "object",
            "properties": {
                "desc": {
                    "type": "string"
                },
                "entry": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.DataSourceRelationReply_Node"
                    }
                },
                "is_task": {
                    "type": "boolean"
                },
                "node_name": {
                    "type": "string"
                },
                "output": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.DataSourceRelationReply_Node"
                    }
                },
                "rely": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.Rely"
                    }
                }
            }
        },
        "v1.DeleteKeyResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.DeleteTemplateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.Dependency": {
            "type": "object",
            "properties": {
                "desc": {
                    "type": "string"
                },
                "table_name": {
                    "type": "string"
                }
            }
        },
        "v1.DependencyReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.Dependency"
                    }
                }
            }
        },
        "v1.EditList": {
            "type": "object",
            "properties": {
                "desc": {
                    "type": "string"
                },
                "key": {
                    "type": "string"
                },
                "value": {
                    "type": "string"
                }
            }
        },
        "v1.EditMapBody": {
            "type": "object",
            "properties": {
                "style_id": {
                    "type": "string"
                },
                "third_style_id": {
                    "type": "string"
                }
            }
        },
        "v1.EditMapReply": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "integer"
                }
            }
        },
        "v1.EditMapResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.EditMapReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.EditReply": {
            "type": "object",
            "properties": {
                "List": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.EditList"
                    }
                }
            }
        },
        "v1.EditTemplateBody": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "request": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "task_name": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "template_name": {
                    "type": "string"
                }
            }
        },
        "v1.EditTemplateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ExcelReply": {
            "type": "object",
            "properties": {
                "url": {
                    "type": "string"
                }
            }
        },
        "v1.ExcelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.ExcelReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ExportStyleTaskList": {
            "type": "object",
            "properties": {
                "created_at": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "path": {
                    "type": "string"
                },
                "task_name": {
                    "type": "string"
                }
            }
        },
        "v1.ExportStyleTaskListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ExportStyleTaskList"
                    }
                }
            }
        },
        "v1.ExportStyleTaskListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.ExportStyleTaskListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.Field": {
            "type": "object",
            "properties": {
                "desc": {
                    "type": "string"
                },
                "field": {
                    "type": "string"
                },
                "type": {
                    "type": "string"
                }
            }
        },
        "v1.FieldReply": {
            "type": "object",
            "properties": {
                "current_page": {
                    "type": "integer"
                },
                "first_page": {
                    "type": "integer"
                },
                "last_page": {
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.Field"
                    }
                },
                "next_page": {
                    "type": "integer"
                },
                "per_page": {
                    "type": "integer"
                },
                "prev_page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.GetAPIListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.APIListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GetAnnouncementResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.AnnouncementReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GetBrandListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.BrandListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GetCheckAPIResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.CheckAPIReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GetDataListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "dataList": {
                    "$ref": "#/definitions/v1.DataListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GetDataSourceRelationResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.DataSourceRelationReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GetDeleteAPIResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GetDependencyResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "dependencyData": {
                    "$ref": "#/definitions/v1.DependencyReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GetEditResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.EditReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GetFieldListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.FieldReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GetItemListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.ItemListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GetKeyListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.KeyListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GetMaintainaceManualInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.MaintainManualInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GetMaintainaceManualResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.MaintainManualReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GetMakerResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.MakerList"
                    }
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GetManualTaskResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "manualTaskData": {
                    "$ref": "#/definitions/v1.ManualTaskReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GetRelationResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                },
                "relationData": {
                    "$ref": "#/definitions/v1.RelationReply"
                }
            }
        },
        "v1.GetSeriesListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.SeriesListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GetStyleInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.StyleInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GetStyleListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.StyleListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GetSwitchBody": {
            "type": "object",
            "properties": {
                "is_on": {
                    "type": "boolean"
                },
                "task_id": {
                    "type": "integer"
                }
            }
        },
        "v1.GetSwitchResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GetTaskListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                },
                "taskList": {
                    "$ref": "#/definitions/v1.TaskListReply"
                }
            }
        },
        "v1.ItemListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ItemListReply_Item"
                    }
                }
            }
        },
        "v1.ItemListReply_Item": {
            "type": "object",
            "properties": {
                "item_id": {
                    "type": "integer"
                },
                "item_name": {
                    "type": "string"
                }
            }
        },
        "v1.KeyList": {
            "type": "object",
            "properties": {
                "created_at": {
                    "type": "integer"
                },
                "desc": {
                    "type": "string"
                },
                "key": {
                    "type": "string"
                }
            }
        },
        "v1.KeyListReply": {
            "type": "object",
            "properties": {
                "current_page": {
                    "type": "integer"
                },
                "first_page": {
                    "type": "integer"
                },
                "last_page": {
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.KeyList"
                    }
                },
                "next_page": {
                    "type": "integer"
                },
                "per_page": {
                    "type": "integer"
                },
                "prev_page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.LoginBody": {
            "type": "object",
            "required": [
                "password",
                "user_name"
            ],
            "properties": {
                "password": {
                    "type": "string"
                },
                "user_name": {
                    "type": "string"
                }
            }
        },
        "v1.LoginData": {
            "type": "object",
            "properties": {
                "token": {
                    "type": "string"
                }
            }
        },
        "v1.LoginResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.LoginData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.MaintainItem": {
            "type": "object",
            "properties": {
                "date_cycle": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "item": {
                    "type": "string"
                },
                "item_id": {
                    "type": "integer"
                },
                "mile_cycle": {
                    "type": "integer"
                },
                "start_date": {
                    "type": "integer"
                },
                "start_mile": {
                    "type": "integer"
                },
                "style_id": {
                    "type": "string"
                }
            }
        },
        "v1.MaintainManualInfoReply": {
            "type": "object",
            "properties": {
                "cycle": {
                    "$ref": "#/definitions/v1.MaintainManualInfoReply_Cycle"
                },
                "maintain": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.MaintainManualInfoReply_Maintain"
                    }
                },
                "maintain_item": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.MaintainManualInfoReply_MaintainItem"
                    }
                },
                "repair": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.MaintainManualInfoReply_Repair"
                    }
                },
                "wash": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.MaintainManualInfoReply_Wash"
                    }
                }
            }
        },
        "v1.MaintainManualInfoReply_Cycle": {
            "type": "object",
            "properties": {
                "date_cycle": {
                    "type": "integer"
                },
                "mile_cycle": {
                    "type": "integer"
                },
                "start_date": {
                    "type": "integer"
                },
                "start_mile": {
                    "type": "integer"
                }
            }
        },
        "v1.MaintainManualInfoReply_Items": {
            "type": "object",
            "properties": {
                "item_id": {
                    "type": "integer"
                },
                "item_name": {
                    "type": "string"
                },
                "level": {
                    "type": "integer"
                }
            }
        },
        "v1.MaintainManualInfoReply_Maintain": {
            "type": "object",
            "properties": {
                "age": {
                    "type": "integer"
                },
                "items": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.MaintainManualInfoReply_Items"
                    }
                },
                "mile": {
                    "type": "integer"
                }
            }
        },
        "v1.MaintainManualInfoReply_MaintainItem": {
            "type": "object",
            "properties": {
                "date_cycle": {
                    "type": "integer"
                },
                "item_id": {
                    "type": "integer"
                },
                "item_name": {
                    "type": "string"
                },
                "mile_cycle": {
                    "type": "integer"
                },
                "start_date": {
                    "type": "integer"
                },
                "start_mile": {
                    "type": "integer"
                },
                "style_id": {
                    "type": "string"
                }
            }
        },
        "v1.MaintainManualInfoReply_Repair": {
            "type": "object",
            "properties": {
                "cycle": {
                    "type": "integer"
                },
                "date_cycle": {
                    "type": "integer"
                },
                "item_id": {
                    "type": "integer"
                },
                "item_name": {
                    "type": "string"
                },
                "mile_cycle": {
                    "type": "integer"
                },
                "start_date": {
                    "type": "integer"
                },
                "start_mile": {
                    "type": "integer"
                },
                "style_id": {
                    "type": "string"
                }
            }
        },
        "v1.MaintainManualInfoReply_Wash": {
            "type": "object",
            "properties": {
                "cycle": {
                    "type": "integer"
                },
                "date_cycle": {
                    "type": "integer"
                },
                "item_id": {
                    "type": "integer"
                },
                "item_name": {
                    "type": "string"
                },
                "mile_cycle": {
                    "type": "integer"
                },
                "start_date": {
                    "type": "integer"
                },
                "start_mile": {
                    "type": "integer"
                },
                "style_id": {
                    "type": "string"
                }
            }
        },
        "v1.MaintainManualReply": {
            "type": "object",
            "properties": {
                "maintainance": {
                    "description": "保养",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.MaintainItem"
                    }
                },
                "repair": {
                    "description": "维修",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.MaintainItem"
                    }
                },
                "wash": {
                    "description": "清洗",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.MaintainItem"
                    }
                }
            }
        },
        "v1.MakerList": {
            "type": "object",
            "properties": {
                "brand_id": {
                    "type": "string"
                },
                "maker": {
                    "type": "string"
                },
                "maker_id": {
                    "type": "string"
                }
            }
        },
        "v1.ManualTask": {
            "type": "object",
            "properties": {
                "created_at": {
                    "type": "string"
                },
                "finish_count": {
                    "type": "integer"
                },
                "is_finish": {
                    "type": "integer"
                },
                "manual_task_name": {
                    "type": "string"
                },
                "progress": {
                    "type": "integer"
                },
                "source": {
                    "type": "string"
                },
                "sql": {
                    "type": "string"
                },
                "task_ids": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "total": {
                    "type": "integer"
                },
                "type": {
                    "type": "integer"
                }
            }
        },
        "v1.ManualTaskReply": {
            "type": "object",
            "properties": {
                "current_page": {
                    "type": "integer"
                },
                "first_page": {
                    "type": "integer"
                },
                "last_page": {
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ManualTask"
                    }
                },
                "next_page": {
                    "type": "integer"
                },
                "per_page": {
                    "type": "integer"
                },
                "prev_page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.RelatedTables": {
            "type": "object",
            "properties": {
                "desc": {
                    "type": "string"
                },
                "tableName": {
                    "type": "string"
                }
            }
        },
        "v1.Relation": {
            "type": "object",
            "properties": {
                "desc": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "is_on": {
                    "type": "integer"
                },
                "task_id": {
                    "type": "integer"
                },
                "task_name": {
                    "type": "string"
                }
            }
        },
        "v1.RelationReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.Relation"
                    }
                }
            }
        },
        "v1.Rely": {
            "type": "object",
            "properties": {
                "desc": {
                    "type": "string"
                },
                "table_name": {
                    "type": "string"
                }
            }
        },
        "v1.RequestList": {
            "type": "object",
            "properties": {
                "desc": {
                    "type": "string"
                },
                "request": {
                    "type": "string"
                }
            }
        },
        "v1.SearchData": {
            "type": "object",
            "properties": {
                "desc": {
                    "type": "string"
                },
                "tableName": {
                    "type": "string"
                }
            }
        },
        "v1.SearchDataReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.SearchData"
                    }
                }
            }
        },
        "v1.SearchDataResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.SearchDataReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SearchLevelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SearchList": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "v1.SearchReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.SearchList"
                    }
                }
            }
        },
        "v1.SearchResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.SearchReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SearchTask": {
            "type": "object",
            "properties": {
                "desc": {
                    "type": "string"
                },
                "taskName": {
                    "type": "string"
                }
            }
        },
        "v1.SearchTaskReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.SearchTask"
                    }
                }
            }
        },
        "v1.SearchTaskResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.SearchTaskReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SeriesList": {
            "type": "object",
            "properties": {
                "brand_id": {
                    "type": "string"
                },
                "brand_name": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "image": {
                    "type": "string"
                },
                "maker": {
                    "type": "string"
                },
                "old_series_name": {
                    "type": "string"
                },
                "series_id": {
                    "type": "string"
                },
                "series_name": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "v1.SeriesListReply": {
            "type": "object",
            "properties": {
                "current_page": {
                    "type": "integer"
                },
                "first_page": {
                    "type": "integer"
                },
                "last_page": {
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.SeriesList"
                    }
                },
                "next_page": {
                    "type": "integer"
                },
                "per_page": {
                    "type": "integer"
                },
                "prev_page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.Source": {
            "type": "object",
            "properties": {
                "desc": {
                    "type": "string"
                },
                "tableName": {
                    "type": "string"
                }
            }
        },
        "v1.SourceReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.Source"
                    }
                }
            }
        },
        "v1.SourceResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.SourceReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.StyleInfoReply": {
            "type": "object",
            "properties": {
                "aircondition": {
                    "$ref": "#/definitions/v1.StyleInfoReply_Aircondition"
                },
                "basic": {
                    "$ref": "#/definitions/v1.StyleInfoReply_Basic"
                },
                "body": {
                    "$ref": "#/definitions/v1.StyleInfoReply_Body"
                },
                "chassis": {
                    "$ref": "#/definitions/v1.StyleInfoReply_Chassis"
                },
                "control": {
                    "$ref": "#/definitions/v1.StyleInfoReply_Control"
                },
                "electric": {
                    "$ref": "#/definitions/v1.StyleInfoReply_Electric"
                },
                "engine": {
                    "$ref": "#/definitions/v1.StyleInfoReply_Engine"
                },
                "external": {
                    "$ref": "#/definitions/v1.StyleInfoReply_External"
                },
                "gearbox": {
                    "$ref": "#/definitions/v1.StyleInfoReply_Gearbox"
                },
                "intelligent": {
                    "$ref": "#/definitions/v1.StyleInfoReply_Intelligent"
                },
                "internal": {
                    "$ref": "#/definitions/v1.StyleInfoReply_Internal"
                },
                "light": {
                    "$ref": "#/definitions/v1.StyleInfoReply_Light"
                },
                "media": {
                    "$ref": "#/definitions/v1.StyleInfoReply_Media"
                },
                "optional": {
                    "$ref": "#/definitions/v1.StyleInfoReply_Optional"
                },
                "rearview": {
                    "$ref": "#/definitions/v1.StyleInfoReply_Rearview"
                },
                "safety": {
                    "$ref": "#/definitions/v1.StyleInfoReply_Safety"
                },
                "seat": {
                    "$ref": "#/definitions/v1.StyleInfoReply_Seat"
                },
                "wheelbrake": {
                    "$ref": "#/definitions/v1.StyleInfoReply_Wheelbrake"
                }
            }
        },
        "v1.StyleInfoReply_Aircondition": {
            "type": "object",
            "properties": {
                "aircondition_control_type": {
                    "type": "string"
                },
                "car_air_purifier": {
                    "type": "string"
                },
                "fragrance_system": {
                    "type": "string"
                },
                "negative_ion_generator": {
                    "type": "string"
                },
                "pm25_device": {
                    "type": "string"
                },
                "rear_independent_air_conditioner": {
                    "type": "string"
                },
                "rear_seat_air_outlet": {
                    "type": "string"
                },
                "refrigerator": {
                    "type": "string"
                },
                "temperature_zone_control": {
                    "type": "string"
                }
            }
        },
        "v1.StyleInfoReply_Basic": {
            "type": "object",
            "properties": {
                "alternator": {
                    "type": "string"
                },
                "braking_distance_measure": {
                    "type": "string"
                },
                "brand_id": {
                    "type": "string"
                },
                "brand_name": {
                    "type": "string"
                },
                "emission_standard": {
                    "type": "string"
                },
                "engine": {
                    "type": "string"
                },
                "fast_charge_amount": {
                    "type": "string"
                },
                "fast_charging_time": {
                    "type": "string"
                },
                "fuel_type_detail": {
                    "type": "string"
                },
                "gearbox_desc": {
                    "type": "string"
                },
                "hundred_accelerate": {
                    "type": "string"
                },
                "hundred_accelerate_measure": {
                    "type": "string"
                },
                "level": {
                    "type": "string"
                },
                "lwh": {
                    "type": "string"
                },
                "maker": {
                    "type": "string"
                },
                "maximum_power": {
                    "type": "string"
                },
                "maximum_simulation_milage": {
                    "type": "string"
                },
                "maximum_simulation_milage_measure": {
                    "type": "string"
                },
                "maximum_speed": {
                    "type": "string"
                },
                "maximum_torque": {
                    "type": "string"
                },
                "model_year": {
                    "type": "string"
                },
                "oil_wear_comrehensive": {
                    "type": "string"
                },
                "oil_wear_measure": {
                    "type": "string"
                },
                "price": {
                    "type": "string"
                },
                "price_yuan": {
                    "type": "string"
                },
                "series_id": {
                    "type": "string"
                },
                "series_img": {
                    "type": "string"
                },
                "series_name": {
                    "type": "string"
                },
                "slow_charging_time": {
                    "type": "string"
                },
                "style_id": {
                    "type": "string"
                },
                "style_name": {
                    "type": "string"
                },
                "sub_level": {
                    "type": "string"
                },
                "vehicle_structure": {
                    "type": "string"
                },
                "vehicle_warranty": {
                    "type": "string"
                }
            }
        },
        "v1.StyleInfoReply_Body": {
            "type": "object",
            "properties": {
                "back_wheel_distance": {
                    "type": "string"
                },
                "door_number": {
                    "type": "string"
                },
                "front_wheel_distance": {
                    "type": "string"
                },
                "high": {
                    "type": "string"
                },
                "long": {
                    "type": "string"
                },
                "minimum_ground_clearance": {
                    "type": "string"
                },
                "oilbox_volume": {
                    "type": "string"
                },
                "seat_number": {
                    "type": "string"
                },
                "trunk_volume": {
                    "type": "string"
                },
                "unladen_mass": {
                    "type": "string"
                },
                "wheelbase": {
                    "type": "string"
                },
                "wide": {
                    "type": "string"
                }
            }
        },
        "v1.StyleInfoReply_Chassis": {
            "type": "object",
            "properties": {
                "assist_type": {
                    "type": "string"
                },
                "back_suspention_type": {
                    "type": "string"
                },
                "body_structure": {
                    "type": "string"
                },
                "drive_type": {
                    "type": "string"
                },
                "front_suspention_type": {
                    "type": "string"
                }
            }
        },
        "v1.StyleInfoReply_Control": {
            "type": "object",
            "properties": {
                "air_suspension": {
                    "type": "string"
                },
                "ascent_assist": {
                    "type": "string"
                },
                "auto_hold": {
                    "type": "string"
                },
                "automatic_driving_assistance": {
                    "type": "string"
                },
                "automatic_parking": {
                    "type": "string"
                },
                "back_parking_rador": {
                    "type": "string"
                },
                "central_diff_lock": {
                    "type": "string"
                },
                "cruise_system": {
                    "type": "string"
                },
                "driving_mode_selection": {
                    "type": "string"
                },
                "e_induction_suspension": {
                    "type": "string"
                },
                "edl": {
                    "type": "string"
                },
                "engine_start_stop_technology": {
                    "type": "string"
                },
                "front_parking_rador": {
                    "type": "string"
                },
                "hdc": {
                    "type": "string"
                },
                "overall_active_steering_system": {
                    "type": "string"
                },
                "reverse_vehicle_side_warning_system": {
                    "type": "string"
                },
                "variable_steering_ratio": {
                    "type": "string"
                },
                "variable_suspension": {
                    "type": "string"
                },
                "wade_sensing_system": {
                    "type": "string"
                }
            }
        },
        "v1.StyleInfoReply_Electric": {
            "type": "object",
            "properties": {
                "back_electric_maximum_power": {
                    "type": "string"
                },
                "back_electric_torque": {
                    "type": "string"
                },
                "battery_energy": {
                    "type": "string"
                },
                "battery_pack_warranty": {
                    "type": "string"
                },
                "battery_type": {
                    "type": "string"
                },
                "front_electric_maximum_power": {
                    "type": "string"
                },
                "front_electric_torque": {
                    "type": "string"
                },
                "hundred_electricity_consumption": {
                    "type": "string"
                },
                "maximum_simulation_milage": {
                    "type": "string"
                },
                "motor_layout": {
                    "type": "string"
                },
                "motor_number": {
                    "type": "string"
                },
                "motor_type": {
                    "type": "string"
                },
                "system_integrated_power": {
                    "type": "string"
                },
                "system_integrated_torque": {
                    "type": "string"
                },
                "total_motor_power": {
                    "type": "string"
                },
                "total_motor_torque": {
                    "type": "string"
                }
            }
        },
        "v1.StyleInfoReply_Engine": {
            "type": "object",
            "properties": {
                "air_intak_form": {
                    "type": "string"
                },
                "cylinder_arrangement": {
                    "type": "string"
                },
                "cylinder_diameter": {
                    "type": "string"
                },
                "cylinder_head_material": {
                    "type": "string"
                },
                "cylinder_material": {
                    "type": "string"
                },
                "cylinder_number": {
                    "type": "string"
                },
                "cylinder_valve_number": {
                    "type": "string"
                },
                "displacement": {
                    "type": "string"
                },
                "displacement_l": {
                    "type": "string"
                },
                "engine_technology": {
                    "type": "string"
                },
                "engine_type": {
                    "type": "string"
                },
                "fuel_lable": {
                    "type": "string"
                },
                "fuel_type_detail": {
                    "type": "string"
                },
                "maximum_horsepower": {
                    "type": "string"
                },
                "maximum_power_rpm": {
                    "type": "string"
                },
                "oil_supply_mode": {
                    "type": "string"
                },
                "piston_stroke": {
                    "type": "string"
                },
                "reduction_ratio": {
                    "type": "string"
                },
                "rpm": {
                    "type": "string"
                },
                "valve_mechanism": {
                    "type": "string"
                }
            }
        },
        "v1.StyleInfoReply_External": {
            "type": "object",
            "properties": {
                "active_intake_grille": {
                    "type": "string"
                },
                "battery_pre_heating": {
                    "type": "string"
                },
                "central_control_lock": {
                    "type": "string"
                },
                "electric_trunk": {
                    "type": "string"
                },
                "electronic_anti_theft": {
                    "type": "string"
                },
                "eosd": {
                    "type": "string"
                },
                "frameless_design_door": {
                    "type": "string"
                },
                "hide_electric_door_handle": {
                    "type": "string"
                },
                "inductive_trunk": {
                    "type": "string"
                },
                "key_type": {
                    "type": "string"
                },
                "keyless_entry_system": {
                    "type": "string"
                },
                "keyless_start_system": {
                    "type": "string"
                },
                "outside_pedal": {
                    "type": "string"
                },
                "rear_compartment_position_memory": {
                    "type": "string"
                },
                "remote_start": {
                    "type": "string"
                },
                "rim_material": {
                    "type": "string"
                },
                "roof_luggage_rack": {
                    "type": "string"
                },
                "side_sliding_door": {
                    "type": "string"
                },
                "skylight_type": {
                    "type": "string"
                },
                "sports_appearance_kit": {
                    "type": "string"
                },
                "tail": {
                    "type": "string"
                },
                "the_tailgate_glass_opens_independently": {
                    "type": "string"
                }
            }
        },
        "v1.StyleInfoReply_Gearbox": {
            "type": "object",
            "properties": {
                "gear_number": {
                    "type": "string"
                },
                "gearbox_desc": {
                    "type": "string"
                },
                "gearbox_type": {
                    "type": "string"
                }
            }
        },
        "v1.StyleInfoReply_Intelligent": {
            "type": "object",
            "properties": {
                "auxiliary_driving_chip": {
                    "type": "string"
                },
                "chip_computing_power": {
                    "type": "string"
                },
                "number_of_cameras": {
                    "type": "string"
                },
                "number_of_lidars": {
                    "type": "string"
                },
                "number_of_millimeter_wave_radars": {
                    "type": "string"
                },
                "number_of_ultrasonic_radars": {
                    "type": "string"
                }
            }
        },
        "v1.StyleInfoReply_Internal": {
            "type": "object",
            "properties": {
                "active_noise_reduction": {
                    "type": "string"
                },
                "car_driving_recorder": {
                    "type": "string"
                },
                "driving_computer_display": {
                    "type": "string"
                },
                "electrically_adjustable_pedal": {
                    "type": "string"
                },
                "full_lcd_dashboard": {
                    "type": "string"
                },
                "full_lcd_dashboard_size": {
                    "type": "string"
                },
                "hud_rising_number_display": {
                    "type": "string"
                },
                "mobile_phone_wireless_charging": {
                    "type": "string"
                },
                "multi_functional_steering_wheel": {
                    "type": "string"
                },
                "steering_wheel_adjustment": {
                    "type": "string"
                },
                "steering_wheel_heating": {
                    "type": "string"
                },
                "steering_wheel_material": {
                    "type": "string"
                },
                "steering_wheel_remember": {
                    "type": "string"
                },
                "steering_wheel_shift": {
                    "type": "string"
                }
            }
        },
        "v1.StyleInfoReply_Light": {
            "type": "object",
            "properties": {
                "adaptive_far_near": {
                    "type": "string"
                },
                "atmosphere": {
                    "type": "string"
                },
                "auto_head": {
                    "type": "string"
                },
                "clean": {
                    "type": "string"
                },
                "daytime": {
                    "type": "string"
                },
                "far": {
                    "type": "string"
                },
                "fog": {
                    "type": "string"
                },
                "headlamp_delay_off": {
                    "type": "string"
                },
                "headlamp_rain_fog_mode": {
                    "type": "string"
                },
                "height_adjustable": {
                    "type": "string"
                },
                "lighting_features": {
                    "type": "string"
                },
                "near": {
                    "type": "string"
                },
                "side_turn": {
                    "type": "string"
                },
                "steering_assist_lamp": {
                    "type": "string"
                },
                "touch_reading_lamp": {
                    "type": "string"
                }
            }
        },
        "v1.StyleInfoReply_Media": {
            "type": "object",
            "properties": {
                "back_lcd": {
                    "type": "string"
                },
                "car_internet": {
                    "type": "string"
                },
                "car_phone": {
                    "type": "string"
                },
                "car_tv": {
                    "type": "string"
                },
                "cd_dvd": {
                    "type": "string"
                },
                "center_console_large_screen_size": {
                    "type": "string"
                },
                "central_colour_screen": {
                    "type": "string"
                },
                "central_lcd_split_screen": {
                    "type": "string"
                },
                "charging_interface": {
                    "type": "string"
                },
                "face_recognition": {
                    "type": "string"
                },
                "gesture_control": {
                    "type": "string"
                },
                "gps": {
                    "type": "string"
                },
                "interface_of12v": {
                    "type": "string"
                },
                "mobile_internet": {
                    "type": "string"
                },
                "navigation_traffic_information_display": {
                    "type": "string"
                },
                "number_of_interfaces": {
                    "type": "string"
                },
                "ota": {
                    "type": "string"
                },
                "power_of220v": {
                    "type": "string"
                },
                "rear_control_multimedia": {
                    "type": "string"
                },
                "road_rescue_call": {
                    "type": "string"
                },
                "speaker_brand": {
                    "type": "string"
                },
                "speaker_number": {
                    "type": "string"
                },
                "voice_control": {
                    "type": "string"
                }
            }
        },
        "v1.StyleInfoReply_Optional": {
            "type": "object",
            "properties": {
                "body_colour": {
                    "type": "string"
                },
                "interior_color": {
                    "type": "string"
                }
            }
        },
        "v1.StyleInfoReply_Rearview": {
            "type": "object",
            "properties": {
                "anti_pinch_hand": {
                    "type": "string"
                },
                "back_electric_window": {
                    "type": "string"
                },
                "back_side_privacy": {
                    "type": "string"
                },
                "back_side_sunshade": {
                    "type": "string"
                },
                "back_sunshade": {
                    "type": "string"
                },
                "back_wiper": {
                    "type": "string"
                },
                "cosmetic": {
                    "type": "string"
                },
                "exterior_rearview_mirror_function": {
                    "type": "string"
                },
                "front_electric_window": {
                    "type": "string"
                },
                "front_wiper": {
                    "type": "string"
                },
                "heatable_spray_nozzle": {
                    "type": "string"
                },
                "interior_rearview_mirror_function": {
                    "type": "string"
                },
                "multilayer_sound_insulation_glass": {
                    "type": "string"
                },
                "window_one_key": {
                    "type": "string"
                }
            }
        },
        "v1.StyleInfoReply_Safety": {
            "type": "object",
            "properties": {
                "abs": {
                    "type": "string"
                },
                "active_brake": {
                    "type": "string"
                },
                "asr_tcs_trc": {
                    "type": "string"
                },
                "auxiliary_seat_airbag": {
                    "type": "string"
                },
                "back_belt_airbag": {
                    "type": "string"
                },
                "back_head_airbag": {
                    "type": "string"
                },
                "back_side_airbag": {
                    "type": "string"
                },
                "eba_bas_ba": {
                    "type": "string"
                },
                "ebd_cbc": {
                    "type": "string"
                },
                "esp": {
                    "type": "string"
                },
                "fatigue_driving_warning": {
                    "type": "string"
                },
                "font_head_airbag": {
                    "type": "string"
                },
                "front_middle_airbag": {
                    "type": "string"
                },
                "front_side_airbag": {
                    "type": "string"
                },
                "iso_fix": {
                    "type": "string"
                },
                "knee_airbag": {
                    "type": "string"
                },
                "lane_departure_warning_system": {
                    "type": "string"
                },
                "lane_keeping": {
                    "type": "string"
                },
                "main_seat_airbag": {
                    "type": "string"
                },
                "night_vision": {
                    "type": "string"
                },
                "parallel_auxiliary": {
                    "type": "string"
                },
                "passenger_seat_cushion_airbag": {
                    "type": "string"
                },
                "passive_pedestrian_protection": {
                    "type": "string"
                },
                "rear_central_airbag": {
                    "type": "string"
                },
                "rear_seat_anti_slide_airbag": {
                    "type": "string"
                },
                "road_traffic_sign_recognition": {
                    "type": "string"
                },
                "run_flat_tire": {
                    "type": "string"
                },
                "seat_belt_warning": {
                    "type": "string"
                },
                "tire_presure_monitor": {
                    "type": "string"
                }
            }
        },
        "v1.StyleInfoReply_Seat": {
            "type": "object",
            "properties": {
                "auxiliary_adjustable_button": {
                    "type": "string"
                },
                "auxiliary_electric_adust": {
                    "type": "string"
                },
                "auxiliary_seat_adjustment_mode": {
                    "type": "string"
                },
                "back_cup_holder": {
                    "type": "string"
                },
                "back_down_type": {
                    "type": "string"
                },
                "back_fold_table": {
                    "type": "string"
                },
                "back_handrail": {
                    "type": "string"
                },
                "electric_seat_remeber": {
                    "type": "string"
                },
                "front_handrail": {
                    "type": "string"
                },
                "front_seat_function": {
                    "type": "string"
                },
                "heating_cooling_cup_holder": {
                    "type": "string"
                },
                "main_electric_adust": {
                    "type": "string"
                },
                "main_seat_adjustment_mode": {
                    "type": "string"
                },
                "rear_seat_electric_adjustment": {
                    "type": "string"
                },
                "rear_seat_function": {
                    "type": "string"
                },
                "rear_seat_power_down": {
                    "type": "string"
                },
                "seat_layout_form": {
                    "type": "string"
                },
                "seat_material": {
                    "type": "string"
                },
                "second_independent": {
                    "type": "string"
                },
                "second_row_seat_adjustment": {
                    "type": "string"
                },
                "sport_seat": {
                    "type": "string"
                }
            }
        },
        "v1.StyleInfoReply_Wheelbrake": {
            "type": "object",
            "properties": {
                "back_brake_type": {
                    "type": "string"
                },
                "back_wheel_specification": {
                    "type": "string"
                },
                "front_brake_type": {
                    "type": "string"
                },
                "front_wheel_specification": {
                    "type": "string"
                },
                "parking_brake_type": {
                    "type": "string"
                },
                "spare_wheel_specification": {
                    "type": "string"
                }
            }
        },
        "v1.StyleList": {
            "type": "object",
            "properties": {
                "brand_id": {
                    "type": "string"
                },
                "brand_name": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "maintain_id": {
                    "type": "integer"
                },
                "maker": {
                    "type": "string"
                },
                "series_id": {
                    "type": "string"
                },
                "series_name": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                },
                "style_id": {
                    "type": "string"
                },
                "style_name": {
                    "type": "string"
                }
            }
        },
        "v1.StyleListReply": {
            "type": "object",
            "properties": {
                "current_page": {
                    "type": "integer"
                },
                "first_page": {
                    "type": "integer"
                },
                "last_page": {
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.StyleList"
                    }
                },
                "next_page": {
                    "type": "integer"
                },
                "per_page": {
                    "type": "integer"
                },
                "prev_page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.StyleMap": {
            "type": "object",
            "properties": {
                "source": {
                    "type": "string"
                },
                "style_id": {
                    "type": "string"
                },
                "style_name": {
                    "type": "string"
                },
                "third_brand_name": {
                    "type": "string"
                },
                "third_series_name": {
                    "type": "string"
                },
                "third_style_id": {
                    "type": "string"
                },
                "third_style_name": {
                    "type": "string"
                }
            }
        },
        "v1.StyleMapReply": {
            "type": "object",
            "properties": {
                "current_page": {
                    "type": "integer"
                },
                "first_page": {
                    "type": "integer"
                },
                "last_page": {
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.StyleMap"
                    }
                },
                "next_page": {
                    "type": "integer"
                },
                "per_page": {
                    "type": "integer"
                },
                "prev_page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.StyleMapResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.StyleMapReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.TableStruct": {
            "type": "object",
            "properties": {
                "desc": {
                    "type": "string"
                },
                "field_name": {
                    "type": "string"
                }
            }
        },
        "v1.TableStructReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.TableStruct"
                    }
                }
            }
        },
        "v1.TableStructResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.TableStructReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.Task": {
            "type": "object",
            "properties": {
                "desc": {
                    "type": "string"
                },
                "taskName": {
                    "type": "string"
                }
            }
        },
        "v1.TaskList": {
            "type": "object",
            "properties": {
                "desc": {
                    "type": "string"
                },
                "target_table": {
                    "type": "string"
                },
                "task_id": {
                    "type": "integer"
                },
                "task_name": {
                    "type": "string"
                }
            }
        },
        "v1.TaskListReply": {
            "type": "object",
            "properties": {
                "current_page": {
                    "type": "integer"
                },
                "first_page": {
                    "type": "integer"
                },
                "last_page": {
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.TaskList"
                    }
                },
                "next_page": {
                    "type": "integer"
                },
                "per_page": {
                    "type": "integer"
                },
                "prev_page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.TaskReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.Task"
                    }
                }
            }
        },
        "v1.TaskResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.TaskReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.Template": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "v1.TemplateListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.Template"
                    }
                }
            }
        },
        "v1.TemplateListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.TemplateListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.UpdateAPIBody": {
            "type": "object",
            "properties": {
                "api": {
                    "type": "string"
                },
                "data": {
                    "type": "string"
                },
                "param": {
                    "type": "string"
                }
            }
        },
        "v1.UpdateAPIResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.UpdateBrandBody": {
            "type": "object",
            "properties": {
                "brand_name": {
                    "type": "string"
                },
                "has_img": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "initial": {
                    "type": "string"
                },
                "old_brand_name": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                },
                "weight": {
                    "type": "integer"
                }
            }
        },
        "v1.UpdateMaintainManualBody": {
            "type": "object",
            "properties": {
                "date_cycle": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "item_id": {
                    "type": "integer"
                },
                "mile_cycle": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "start_date": {
                    "type": "integer"
                },
                "start_mile": {
                    "type": "integer"
                },
                "style_id": {
                    "type": "string"
                },
                "tid": {
                    "type": "integer"
                }
            }
        },
        "v1.UpdateMaintainManualResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.UpdateMakerBody": {
            "type": "object",
            "properties": {
                "maker": {
                    "type": "string"
                },
                "maker_id": {
                    "type": "string"
                }
            }
        },
        "v1.UpdateSeriesBody": {
            "type": "object",
            "properties": {
                "has_img": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "maker": {
                    "type": "string"
                },
                "old_series_name": {
                    "type": "string"
                },
                "series_name": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "v1.UpdateStyleBody": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "status": {
                    "type": "integer"
                },
                "style_name": {
                    "type": "string"
                }
            }
        },
        "v1.UpdateStyleConfigBody": {
            "type": "object",
            "properties": {
                "data": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.UpdateStyleItem": {
            "type": "object",
            "properties": {
                "attribute_rule": {
                    "type": "string"
                },
                "c2_id": {
                    "type": "integer"
                },
                "detail": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "style_id": {
                    "type": "string"
                },
                "useage": {
                    "type": "string"
                }
            }
        },
        "v1.UpdateStyleItemBody": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.UpdateStyleItem"
                    }
                }
            }
        },
        "v1.UseAPIReply": {
            "type": "object",
            "properties": {
                "request": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.CheckAPI"
                    }
                }
            }
        },
        "v1.UseAPIResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "$ref": "#/definitions/v1.UseAPIReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.1",
	Host:             "",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "Project adm-gateway's APIs",
	Description:      "This is a gateway server. On the page, you can go to do testing for every API.",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
