package v1

import (
	"adm-gateway/param/base"
	v1 "adm-gateway/pb/v1"
)

type GetBrandListQuery struct {
	BrandName    string `form:"brand_name" json:"brand_name"`
	BrandId      string `form:"brand_id" json:"brand_id"`
	Initial      string `form:"initial"    json:"initial"`
	HasImg       int32  `form:"has_img"    json:"has_img"`
	Status       int32  `form:"status"     json:"status"`
	Page         int32  `form:"page"       json:"page"`
	PageSize     int32  `form:"page_size"  json:"page_size"`
	OldBrandName string `form:"old_brand_name" json:"old_brand_name"`
}

type GetBrandListRequest struct {
	base.Header
	GetBrandListQuery
}

type GetBrandListResponse struct {
	base.Result
	Data *v1.BrandListReply `json:"data"`
}

type SearchQuery struct {
	Type     int32  `json:"type"      form:"type"`
	Search   string `json:"search"    form:"search"`
	BrandId  string `json:"brand_id"  form:"brand_id"`
	MakerId  string `json:"maker_id"  form:"maker_id"`
	SeriesId string `json:"series_id" form:"series_id"`
}

type SearchRequest struct {
	base.Header
	SearchQuery
}

type SearchResponse struct {
	base.Result
	Data *v1.SearchReply `json:"data"`
}

type UpdateBrandBody struct {
	ID           int64  `form:"id"         json:"id"`
	BrandName    string `form:"brand_name" json:"brand_name"`
	Initial      string `form:"initial"    json:"initial"`
	Weight       int64  `form:"weight"     json:"weight"`
	Status       int64  `form:"status"     json:"status"`
	HasImg       int64  `form:"has_img"    json:"has_img"`
	OldBrandName string `form:"old_brand_name"  json:"old_brand_name"`
}

type UpdateBrandRequest struct {
	base.Header
	UpdateBrandBody
}

type UpdateBrandResponse struct {
	base.Result
}

type GetMakerQuery struct {
	BrandId string `json:"brand_id" form:"brand_id"`
}

type GetMakerRequest struct {
	base.Header
	GetMakerQuery
}

type GetMakerResponse struct {
	base.Result
	Data []*v1.MakerList `json:"data"`
}

type UpdateMakerBody struct {
	MakerId string `json:"maker_id" form:"maker_id"`
	Maker   string `json:"maker"    form:"maker"`
}

type UpdateMakerRequest struct {
	base.Header
	UpdateMakerBody
}

type UpdateMakerResponse struct {
	base.Result
}
