package v1

import (
	"adm-gateway/param/base"
	v1 "adm-gateway/pb/v1"
)

type GetMaintainaceManualQuery struct {
	StyleId string `form:"style_id" json:"style_id"`
}

type GetMaintainaceManualRequest struct {
	base.Header
	GetMaintainaceManualQuery
}

type GetMaintainaceManualResponse struct {
	base.Result
	Data *v1.MaintainManualReply `json:"data"`
}

type GetItemListQuery struct {
	ItemType int64  `form:"item_type" json:"item_type"`
	StyleId  string `form:"style_id"  json:"style_id"`
}

type GetItemListRequest struct {
	base.Header
	GetItemListQuery
}

type GetItemListResponse struct {
	base.Result
	Data *v1.ItemListReply `json:"data"`
}

type UpdateMaintainManualBody struct {
	Id        int64  `form:"id"         json:"id"`
	ItemId    int64  `form:"item_id"    json:"item_id"`
	StyleId   string `form:"style_id"   json:"style_id"`
	StartMile int64  `form:"start_mile" json:"start_mile"`
	MileCycle int64  `form:"mile_cycle" json:"mile_cycle"`
	StartDate int64  `form:"start_date" json:"start_date"`
	DateCycle int64  `form:"date_cycle" json:"date_cycle"`
	Name      string `form:"name"       json:"name"`
	Tid       int64  `form:"tid"        json:"tid"`
}

type UpdateMaintainManualRequest struct {
	base.Header
	UpdateMaintainManualBody
}

type UpdateMaintainManualResponse struct {
	base.Result
}

type GetMaintainaceManualInfoRequest struct {
	base.Header
	GetMaintainaceManualQuery
}

type GetMaintainaceManualInfoResponse struct {
	base.Result
	Data *v1.MaintainManualInfoReply `json:"data"`
}

type GetStyleItemResponse struct {
	base.Result
	Data *v1.StyleItemReply `json:"data"`
}

type GetC2ListQuery struct {
	StyleId string `form:"style_id" json:"style_id"`
}

type GetC2ListRequest struct {
	base.Header
	GetC2ListQuery
}

type GetC2ListResponse struct {
	base.Result
	Data *v1.C2ListReply `json:"data"`
}

type UpdateStyleItem struct {
	Id            int64  `form:"id"             json:"id"`
	C2Id          int64  `form:"c2_id"          json:"c2_id"`
	StyleId       string `form:"style_id"       json:"style_id"`
	Useage        string `form:"useage"         json:"useage"`
	Detail        string `form:"detail"         json:"detail"`
	AttributeRule string `form:"attribute_rule" json:"attribute_rule"`
}

type UpdateStyleItemBody struct {
	List []UpdateStyleItem `form:"list" json:"list"`
}

type UpdateStyleItemRequest struct {
	base.Header
	UpdateStyleItemBody
}

type DeleteMaintainacePath struct {
	Id int64 `uri:"id" json:"id"`
}

type DeleteMaintainaceRequest struct {
	base.Header
	DeleteMaintainacePath
}
