package v1

import (
	"adm-gateway/param/base"
	v1 "adm-gateway/pb/v1"
)

type GetSeriesListQuery struct {
	BrandName     string `form:"brand_name"  json:"brand_name"`
	BrandId       string `form:"brand_id" json:"brand_id"`
	SeriesName    string `form:"series_name" json:"series_name"`
	SeriesId      string `form:"series_id" json:"series_id"`
	HasImg        int32  `form:"has_img"     json:"has_img"`
	Status        int32  `form:"status"      json:"status"`
	Page          int32  `form:"page"        json:"page"`
	PageSize      int32  `form:"page_size"   json:"page_size"`
	OldSeriesName string `form:"old_series_name" json:"old_series_name"`
}

type GetSeriesListRequest struct {
	base.Header
	GetSeriesListQuery
}

type GetSeriesListResponse struct {
	base.Result
	Data *v1.SeriesListReply `json:"data"`
}

type UpdateSeriesBody struct {
	ID            int64  `form:"id"          json:"id"`
	SeriesName    string `form:"series_name" json:"series_name"`
	Maker         string `form:"maker"       json:"maker"`
	Status        int64  `form:"status"      json:"status"`
	HasImg        int64  `form:"has_img"     json:"has_img"`
	OldSeriesName string `form:"old_series_name" json:"old_series_name"`
}

type UpdateSeriesRequest struct {
	base.Header
	UpdateSeriesBody
}
