package v1

import (
	"adm-gateway/param/base"
	v1 "adm-gateway/pb/v1"
)

type GetStyleListQuery struct {
	BrandName  string `form:"brand_name"  json:"brand_name"`
	SeriesName string `form:"series_name" json:"series_name"`
	HasManual  int32  `form:"has_manual"  json:"has_manual"`
	Status     int32  `form:"status"      json:"status"`
	Page       int32  `form:"page"        json:"page"`
	PageSize   int32  `form:"page_size"   json:"page_size"`
	Maker      string `form:"maker"       json:"maker"`
	ModelYear  int32  `form:"model_year"  json:"model_year"`
	StyleName  string `form:"style_name"  json:"style_name"`
	BrandId    string `form:"brand_id"    json:"brand_id"`
	SeriesId   string `form:"series_id"    json:"series_id"`
	StyleId    string `form:"style_id"    json:"style_id"`
}

type GetStyleListRequest struct {
	base.Header
	GetStyleListQuery
}

type GetStyleListResponse struct {
	base.Result
	Data *v1.StyleListReply `json:"data"`
}

type UpdateStyleBody struct {
	ID        int64  `form:"id"         json:"id"`
	StyleName string `form:"style_name" json:"style_name"`
	Status    int32  `form:"status"     json:"status"`
}

type UpdateStyleRequest struct {
	base.Header
	UpdateStyleBody
}

type GetStyleInfoPath struct {
	ID int64 `uri:"id" json:"id"`
}

type GetStyleInfoRequest struct {
	base.Header
	GetStyleInfoPath
}

type GetStyleInfoResponse struct {
	base.Result
	Data *v1.StyleInfoReply `json:"data"`
}

type UpdateStyleConfigBody struct {
	ID   int64  `form:"id"   json:"id"`
	Data string `form:"data" json:"data"`
}

type UpdateStyleConfigRequest struct {
	base.Header
	UpdateStyleConfigBody
}

type ExportStyleListQuery struct {
	TaskName string `json:"task_name" form:"task_name"`
	Fields   string `json:"fields"    form:"fields"`
}

type ExportStyleListRequest struct {
	base.Header
	ExportStyleListQuery
}

type ExportStyleTaskListResponse struct {
	base.Result
	Data *v1.ExportStyleTaskListReply `json:"data"`
}

type DeleteExportStyleTaskRequest struct {
	base.Header
	DeleteMaintainacePath
}
