package v1

import (
	"adm-gateway/param/base"
	v1 "adm-gateway/pb/v1"
)

type TemplateListQuery struct {
	Name string `form:"name" json:"name"`
}

type TemplateListRequest struct {
	base.Header
	TemplateListQuery
}

type TemplateListResponse struct {
	base.Result
	Data *v1.TemplateListReply `json:"data"`
}

type TemplateDetailListQuery struct {
	Tid      int64 `form:"tid"       json:"tid"`
	Page     int32 `form:"page"      json:"page"`
	PageSize int32 `form:"page_size" json:"page_size"`
}

type TemplateDetailListRequest struct {
	base.Header
	TemplateDetailListQuery
}

type TemplateDetailListResponse struct {
	base.Result
	Data *v1.TemplateDetailListReply `json:"data"`
}

type TemplateDetailQuery struct {
	Tid int64 `form:"tid" json:"tid"`
}

type TemplateDetailRequest struct {
	base.Header
	TemplateDetailQuery
}

type TemplateDetailResponse struct {
	base.Result
	Data *v1.TemplateDetailReply `json:"data"`
}

type AddTemplateDetailBody struct {
	Tid       int64  `form:"tid"        json:"tid"`
	ItemId    int64  `form:"item_id"    json:"item_id"`
	StartMile int64  `form:"start_mile" json:"start_mile"`
	MileCycle int64  `form:"mile_cycle" json:"mile_cycle"`
	StartDate int64  `form:"start_date" json:"start_date"`
	DateCycle int64  `form:"date_cycle" json:"date_cycle"`
	Name      string `form:"name"       json:"name"`
}

type AddTemplateDetailRequest struct {
	base.Header
	AddTemplateDetailBody
}

type AddTemplateDetailResponse struct {
	base.Result
	Data *v1.AddTemplateDetailReply `json:"data"`
}

type ChooseTemplateDetailBody struct {
	Tid     int64  `form:"tid"      json:"tid"`
	StyleId string `form:"style_id" json:"style_id"`
}

type ChooseTemplateDetailRequest struct {
	base.Header
	ChooseTemplateDetailBody
}

type GetTemplateItemListQuery struct {
	ItemType int64 `form:"item_type" json:"item_type"`
	Tid      int64 `form:"tid"       json:"tid"`
}

type GetTemplateItemListRequest struct {
	base.Header
	GetTemplateItemListQuery
}
